# CreditDisplay

#### new Cesium.CreditDisplay(container, delimiter, viewport)
Scene/CreditDisplay.js 270

The credit display is responsible for displaying credits on screen.

Name | Type | Default | Description
--- | --- | --- | ---
`container` | HTMLElement |  | The HTML element where credits will be displayed
`delimiter` | String | `' • '` | optional The string to separate text credits
`viewport` | HTMLElement | `document.body` | optional The HTML element that will contain the credits popup

##### Example:

    var creditDisplay = new Cesium.CreditDisplay(creditContainer);

### Members

#### static Cesium.CreditDisplay.cesiumCredit : Credit
Scene/CreditDisplay.js 549

Gets or sets the Cesium logo credit.

#### container : HTMLElement
Scene/CreditDisplay.js 354

The HTML element where credits will be displayed.

### Methods

#### addCredit(credit)
Scene/CreditDisplay.js 362

Adds a credit to the list of current credits to be displayed in the credit container

Name | Type | Description
--- | --- | ---
`credit` | Credit | The credit to display

#### addDefaultCredit(credit)
Scene/CreditDisplay.js 389

Adds credits that will persist until they are removed

Name | Type | Description
--- | --- | ---
`credit` | Credit | The credit to added to defaults

#### beginFrame()
Scene/CreditDisplay.js 439

Resets the credit display to a beginning of frame state, clearing out current credits.

#### destroy()
Scene/CreditDisplay.js 488

Destroys the resources held by this object. Destroying an object allows for deterministic release of resources, instead of relying on the garbage collector to destroy this object.
Once an object is destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception. Therefore, assign the return value (`undefined`) to the object as done in the example.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.

#### endFrame()
Scene/CreditDisplay.js 461

Sets the credit display to the end of frame state, displaying credits from the last frame in the credit container.

#### isDestroyed() → Boolean
Scene/CreditDisplay.js 505

Returns true if this object was destroyed; otherwise, false.

##### Returns:

`true` if this object was destroyed; otherwise, `false`.

#### removeDefaultCredit(credit)
Scene/CreditDisplay.js 405

Removes a default credit

Name | Type | Description
--- | --- | ---
`credit` | Credit | The credit to be removed from defaults

#### update()
Scene/CreditDisplay.js 430

Updates the credit display before a new frame is rendered.